/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Newbie Quests\Spooky Ruins\conversations.cs
Lines of code: 64
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.SpookyRuinsKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Hey! You're already on a quest. I can't give you a quest until you're done with that one!";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Good. You are indeed brave. Head inside through the gates behind me. Be careful in there, I don't want anyone to get hurt. Bring plenty of bandages or healing supplies. When you've killed enough creatures, come back here and I'll give you a reward.";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("skeleton","Skeletons in the Old Haven Ruins", 5);
			entry1.AddLocation(new Rectangle2D(new Point2D(3572,2571),new Point2D(3687,2680)),Map.Trammel);
			
			QuestKillEntry entry2 = new QuestKillEntry("zombie","Zombies in the Old Haven Ruins", 5);
			entry2.AddLocation(new Rectangle2D(new Point2D(3572,2571),new Point2D(3687,2680)),Map.Trammel);
			
			QuestKillEntry entry3 = new QuestKillEntry("hordeminion","Horde Minions in the Old Haven Ruins", 5);
			entry3.AddLocation(new Rectangle2D(new Point2D(3572,2571),new Point2D(3687,2680)),Map.Trammel);
			
			ko.AddQKE(entry1);
			ko.AddQKE(entry2);
			ko.AddQKE(entry3);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "You are kind to have rid the ruins of those nasty creatures. You have a lot of respect for those who died. Here, take this bag of treasure as a reward. I hope you can find a good use for the items.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			SpookyRuinsKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}